from django.urls import path, include
from rest_framework import routers

from assets.views.assets import AssetViewSet, AssetInfoViewSet, OsViewSet, AssetGroupViewSet, AssetProblemsViewSet, \
    AssetManufacturersViewSet

router = routers.DefaultRouter()


router.register('elements', AssetViewSet, basename='asset')
router.register('manufacturers', AssetManufacturersViewSet, basename='asset-manufacturers')
router.register('groups', AssetGroupViewSet, basename='asset-groups')
router.register('info', AssetInfoViewSet, basename='asset-info')
router.register('os', OsViewSet, basename='os')
router.register('problems', AssetProblemsViewSet, basename='asset-problems')

urlpatterns = [
    path('', include(router.urls))
]
